use strict;
use warnings;
use Getopt::Long qw(:config posix_default bundling);
use Image::ExifTool;
use Data::Dumper;

for my $f (@ARGV) {
	my $x = Image::ExifTool->new;
	$x->ExtractInfo($f);
	my $c = $x->GetValue( 'Comment' );
	if ( $c and $c =~m{AppleMark} ) {
		warn "$f\n";
		$x->SetNewValue( 'Comment' );
		$x->WriteInfo( $f );
	}
}
