use strict;
use warnings;
use File::Find;

find( \&fix, $ARGV[0] );
sub fix {
	m{[\200-\377]} || return;
	my $o = $_;
	if ( s{\xc3\x9f}{}g
		+ s{a\xcc\x88}{}g
		+ s{u\xcc\x88}{}g
		+ s{o\xcc\x88}{}g
		+ s{A\xcc\x88}{}g
		+ s{U\xcc\x88}{}g
		+ s{O\xcc\x88}{}g
	) {
		rename($o,$_);
	}
}
